Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/databases/couchdb/Makefile,v
retrieving revision 1.20
diff -u -r1.20 Makefile
--- Makefile	27 Mar 2012 18:05:53 -0000	1.20
+++ Makefile	17 Jun 2012 12:53:22 -0000
@@ -6,12 +6,11 @@
 #
 
 PORTNAME=	couchdb
-PORTVERSION=	1.1.0
-PORTREVISION=	3
+PORTVERSION=	1.2.0
 PORTEPOCH=	1
 CATEGORIES=	databases
 MASTER_SITES=	${MASTER_SITE_APACHE}
-MASTER_SITE_SUBDIR=	couchdb/${PORTVERSION}
+MASTER_SITE_SUBDIR=	couchdb/releases/${PORTVERSION}
 DISTNAME=	apache-couchdb-${PORTVERSION}
 
 MAINTAINER=	till@php.net
@@ -19,13 +18,16 @@
 
 LIB_DEPENDS=	icudata:${PORTSDIR}/devel/icu \
 		js:${PORTSDIR}/lang/spidermonkey \
-		curl.6:${PORTSDIR}/ftp/curl
-BUILD_DEPENDS=	${LOCALBASE}/bin/help2man:${PORTSDIR}/misc/help2man
+		curl:${PORTSDIR}/ftp/curl
+BUILD_DEPENDS=	${LOCALBASE}/bin/help2man:${PORTSDIR}/misc/help2man \
+		erlc:${ERLANG_PORT}
+RUN_DEPENDS=	erl:${ERLANG_PORT}
 
 USERS=		couchdb
 GROUPS=		couchdb
 
 USE_RC_SUBR=	couchdb
+SUB_FILES=	pkg-message
 USE_GMAKE=	yes
 USE_AUTOTOOLS=	libtool
 USE_LDCONFIG=	yes
@@ -36,37 +38,59 @@
 		--with-js-lib=${LOCALBASE}/lib
 PLIST_SUB+=	PORTVERSION="${PORTVERSION}"
 
-OPTIONS=	ERLANG	"Use lang/erlang instead of lang/erlang-lite"	off
+OPTIONS_DEFINE=	ERLANG
+ERLANG_DESC=	Use lang/erlang instead of lang/erlang-lite
 
 MAN1=	couchdb.1 couchjs.1
 
 .include <bsd.port.options.mk>
 
-.if defined(WITH_ERLANG)
+.if ${PORT_OPTIONS:MERLANG}
 ERLANG_PORT=	${PORTSDIR}/lang/erlang
 .else
 ERLANG_PORT=	${PORTSDIR}/lang/erlang-lite
 .endif
 
-BUILD_DEPENDS+=	erlc:${ERLANG_PORT}
-RUN_DEPENDS+=	erl:${ERLANG_PORT}
+# This stanza could be removed around version 1.7
+pre-everything::
+	@if [ -f ${PREFIX}/etc/couchdb/local.ini -a \
+	    ! -f ${PREFIX}/etc/couchdb/local.ini.sample ] && \
+	    ${PKG_INFO} -qX '${PKGBASE}-[01].[^2-6][0-9]*(\.[0-9a-z]*)*(,1)?'; \
+	   then ${ECHO_MSG} Please see UPDATING note 20120613 to avoid loss of your local.ini ; \
+		exit 2 ; \
+	fi
 
 pre-fetch:
 	@${ECHO_MSG} ""
-	@${ECHO_MSG} "If you are upgrading CouchDB, please double-check that the datafile is compatible."
+	@${ECHO_MSG} "If you are upgrading CouchDB, please double-check that the datafile is compatible"
+	@${ECHO_MSG} "and that you have BACKED UP YOUR DB directory before proceeding!"
+	@${ECHO_MSG} ""
 	@${ECHO_MSG} "Upgrading also might require you to rebuild your views entirely."
 	@${ECHO_MSG} ""
 
 post-patch:
-	${REINPLACE_CMD} -e '169s|@INSTALL_PROGRAM@|@INSTALL_SCRIPT@|' ${WRKSRC}/src/couchdb/priv/Makefile.in
 .if defined(NOPORTDOCS)
 	@${REINPLACE_CMD} -e 's/install-data-am$$//' ${WRKSRC}/Makefile.in
 .endif
 
+post-configure:
+	@${REINPLACE_CMD} -e '179s|install  -s|install|' ${WRKSRC}/src/couchdb/priv/Makefile
+	@${REINPLACE_CMD} -e '480,482d' ${WRKSRC}/etc/couchdb/Makefile
+
+pre-install:
+	@${REINPLACE_CMD} -e '6s|database_dir = /var/lib/couchdb|database_dir = /var/db/couchdb|' ${WRKSRC}/etc/couchdb/default.ini
+	@${REINPLACE_CMD} -e '7s|view_index_dir = /var/lib/couchdb|view_index_dir = /var/db/couchdb|' ${WRKSRC}/etc/couchdb/default.ini
+
 post-install:
 .ifndef PACKAGE_BUILDING
 	@PKG_PREFIX=${PREFIX} ${SH} ${PKGINSTALL} ${PKGNAME} POST-INSTALL
 .endif
+	@${CP} -p ${WRKSRC}/etc/couchdb/local.ini ${PREFIX}/etc/couchdb/local.ini.sample
+
+	@if [ ! -f ${PREFIX}/etc/couchdb/local.ini ]; then \
+		${CP} -p ${PREFIX}/etc/couchdb/local.ini.sample ${PREFIX}/etc/couchdb/local.ini; \
+		${CHOWN} couchdb:couchdb ${PREFIX}/etc/couchdb/local.ini; \
+	fi
 	@${CAT} ${PKGMESSAGE}
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/databases/couchdb/distinfo,v
retrieving revision 1.7
diff -u -r1.7 distinfo
--- distinfo	18 Aug 2011 13:24:48 -0000	1.7
+++ distinfo	17 Jun 2012 12:53:22 -0000
@@ -1,2 +1,2 @@
-SHA256 (apache-couchdb-1.1.0.tar.gz) = 08432165e72fa55e128e90d34b5b5e2d3b9af228fa2b30d3a3fa70a88a3c6498
-SIZE (apache-couchdb-1.1.0.tar.gz) = 1088226
+SHA256 (apache-couchdb-1.2.0.tar.gz) = 0f254ddea2471dbc4d3c6cd1fa61e4782c75475fb325024e10f68bf1aa8d5c37
+SIZE (apache-couchdb-1.2.0.tar.gz) = 1326925
Index: pkg-deinstall
===================================================================
RCS file: /home/pcvs/ports/databases/couchdb/pkg-deinstall,v
retrieving revision 1.1
diff -u -r1.1 pkg-deinstall
--- pkg-deinstall	18 Aug 2011 13:24:48 -0000	1.1
+++ pkg-deinstall	17 Jun 2012 12:53:22 -0000
@@ -4,10 +4,10 @@
 
 COUCH_DBDIR=/var/db/couchdb
 COUCH_LOGDIR=/var/log/couchdb
-COUCH_LIBDIR=/var/lib/couchdb
+COUCH_RUNDIR=/var/run/couchdb
 
 if [ "$2" = "POST-DEINSTALL" ]; then
-	for i in ${COUCH_LIBDIR} ${COUCH_DBDIR} ${COUCH_LOGDIR}; do
+	for i in ${COUCH_RUNDIR} ${COUCH_DBDIR} ${COUCH_LOGDIR}; do
 		${RMDIR} ${i} 2>/dev/null
 	done
 fi
Index: pkg-install
===================================================================
RCS file: /home/pcvs/ports/databases/couchdb/pkg-install,v
retrieving revision 1.3
diff -u -r1.3 pkg-install
--- pkg-install	18 Aug 2011 13:24:48 -0000	1.3
+++ pkg-install	17 Jun 2012 12:53:22 -0000
@@ -8,13 +8,13 @@
 
 COUCH_DBDIR=/var/db/couchdb
 COUCH_LOGDIR=/var/log/couchdb
-COUCH_LIBDIR=/var/lib/couchdb
+COUCH_RUNDIR=/var/run/couchdb
 
 if [ "$2" = "POST-INSTALL" ]; then
-	${MKDIR} ${COUCH_DBDIR} ${COUCH_LOGDIR} ${COUCH_LIBDIR}
+	${MKDIR} ${COUCH_DBDIR} ${COUCH_LOGDIR} ${COUCH_RUNDIR}
 	${CHOWN} ${COUCH_USER}:${COUCH_GROUP} ${COUCH_DBDIR}
 	${CHOWN} ${COUCH_USER}:${COUCH_GROUP} ${COUCH_LOGDIR}
-	${CHOWN} ${COUCH_USER}:${COUCH_GROUP} ${COUCH_LIBDIR}
+	${CHOWN} ${COUCH_USER}:${COUCH_GROUP} ${COUCH_RUNDIR}
 fi
 
 exit 0
Index: pkg-message
===================================================================
RCS file: pkg-message
diff -N pkg-message
--- pkg-message	17 Jun 2009 14:10:30 -0000	1.1
+++ /dev/null	1 Jan 1970 00:00:00 -0000
@@ -1,8 +0,0 @@
-===>  COMPATIBILITY NOTE:
-      CouchDB is still pre-stable; between 0.8 and 0.9 the database format
-      changed which breaks BC. In current trunk, the format changed again, so
-      please double-check in case you are updating an existing installation.
-
-      More info:
-        * http://wiki.apache.org/couchdb/Breaking_changes?action=show&redirect=BreakingChanges
-        * http://wiki.apache.org/couchdb/BreakingChangesUpdateTrunkTo0Dot9
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/databases/couchdb/pkg-plist,v
retrieving revision 1.6
diff -u -r1.6 pkg-plist
--- pkg-plist	18 Aug 2011 13:24:48 -0000	1.6
+++ pkg-plist	17 Jun 2012 12:53:23 -0000
@@ -1,7 +1,9 @@
 bin/couchdb
 bin/couchjs
 etc/couchdb/default.ini
-etc/couchdb/local.ini
+@unexec if cmp -s %D/etc/couchdb/local.ini.sample %D/etc/couchdb/local.ini; then rm -f %D/etc/couchdb/local.ini; fi
+etc/couchdb/local.ini.sample
+@exec if [ ! -f %D/etc/couchdb/local.ini ] ; then cp -p %D/%F %B/local.ini; chown couchdb:couchdb %B/local.ini; fi
 etc/logrotate.d/couchdb
 lib/couchdb/bin/couchjs
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch.app
@@ -37,14 +39,7 @@
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_os_process.beam
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_query_servers.beam
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_ref_counter.beam
-lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_rep.beam
-lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_rep_att.beam
-lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_rep_changes_feed.beam
-lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_rep_httpc.beam
-lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_rep_missing_revs.beam
-lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_rep_reader.beam
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_rep_sup.beam
-lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_rep_writer.beam
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_server.beam
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_server_sup.beam
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_stats_aggregator.beam
@@ -62,12 +57,33 @@
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_httpd_vhost.beam
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_os_daemons.beam
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_replication_manager.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_api_wrap.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_api_wrap_httpc.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_compaction_daemon.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_compress.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_drv.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_ejson_compare.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_httpc_pool.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_httpd_replicator.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_primary_sup.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_replication_notifier.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_replicator.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_replicator_worker.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_replicator_utils.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_secondary_sup.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/couch_users_db.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin/json_stream_parse.beam
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/include/couch_api_wrap.hrl
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/include/couch_db.hrl
+lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/include/couch_replicator.hrl
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/include/couch_js_functions.hrl
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/priv/couchspawnkillable
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/priv/lib/couch_icu_driver.a
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/priv/lib/couch_icu_driver.la
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/priv/lib/couch_icu_driver.so
+@unexec if [ -f %B/couch_ejson_compare.a ]; then rm %B/couch_ejson_compare.a; fi;
+@unexec if [ -f %B/couch_ejson_compare.la ]; then rm %B/couch_ejson_compare.la; fi;
+@unexec if [ -f %B/couch_ejson_compare.so ]; then rm %B/couch_ejson_compare.so; fi;
 lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/priv/stat_descriptions.cfg
 lib/couchdb/erlang/lib/erlang-oauth/ebin/oauth.app
 lib/couchdb/erlang/lib/erlang-oauth/ebin/oauth.beam
@@ -93,41 +109,54 @@
 lib/couchdb/erlang/lib/ibrowse-2.2.0/ebin/ibrowse_lib.beam
 lib/couchdb/erlang/lib/ibrowse-2.2.0/ebin/ibrowse_sup.beam
 lib/couchdb/erlang/lib/ibrowse-2.2.0/ebin/ibrowse_test.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochifmt.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochifmt_records.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochifmt_std.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiglobal.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochihex.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochijson.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochijson2.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochilists.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochilogfile2.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochinum.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochitemp.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiutf8.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb.app
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_acceptor.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_app.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_charref.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_cookies.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_cover.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_echo.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_headers.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_html.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_http.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_io.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_mime.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_multipart.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_request.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_response.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_skel.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_socket.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_socket_server.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_sup.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/mochiweb_util.beam
-lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin/reloader.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochifmt.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochifmt_records.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochifmt_std.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiglobal.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochihex.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochijson.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochijson2.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochilists.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochilogfile2.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochinum.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochitemp.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiutf8.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb.app
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_acceptor.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_app.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_charref.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_cookies.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_cover.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_echo.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_headers.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_html.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_http.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_io.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_mime.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_multipart.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_request.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_response.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_skel.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_socket.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_socket_server.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_sup.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/mochiweb_util.beam
+lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin/reloader.beam
+lib/couchdb/erlang/lib/ejson-0.1.0/ebin/ejson.app
+lib/couchdb/erlang/lib/ejson-0.1.0/ebin/ejson.beam
+lib/couchdb/erlang/lib/ejson-0.1.0/ebin/mochijson2.beam
+lib/couchdb/erlang/lib/ejson-0.1.0/ebin/mochinum.beam
+lib/couchdb/erlang/lib/ejson-0.1.0/priv/ejson.so
+lib/couchdb/erlang/lib/ejson-0.1.0/priv/ejson.la
+lib/couchdb/erlang/lib/ejson-0.1.0/priv/ejson.a
+lib/couchdb/erlang/lib/snappy-1.0.3/ebin/snappy.app
+lib/couchdb/erlang/lib/snappy-1.0.3/ebin/snappy.beam
+lib/couchdb/erlang/lib/snappy-1.0.3/priv/snappy_nif.so
+lib/couchdb/erlang/lib/snappy-1.0.3/priv/snappy_nif.la
+lib/couchdb/erlang/lib/snappy-1.0.3/priv/snappy_nif.a
 %%DATADIR%%/server/main.js
+%%DATADIR%%/server/main-coffee.js
 %%DATADIR%%/www/_sidebar.html
 %%DATADIR%%/www/config.html
 %%DATADIR%%/www/couch_tests.html
@@ -206,7 +235,6 @@
 %%DATADIR%%/www/script/oauth.js
 %%DATADIR%%/www/script/sha1.js
 %%DATADIR%%/www/script/test/all_docs.js
-%%DATADIR%%/www/script/test/attachment_conflicts.js
 %%DATADIR%%/www/script/test/attachment_names.js
 %%DATADIR%%/www/script/test/attachment_paths.js
 %%DATADIR%%/www/script/test/attachment_ranges.js
@@ -276,6 +304,10 @@
 %%DATADIR%%/www/script/test/view_sandboxing.js
 %%DATADIR%%/www/script/test/view_update_seq.js
 %%DATADIR%%/www/script/test/view_xml.js
+%%DATADIR%%/www/script/test/coffee.js
+%%DATADIR%%/www/script/test/oauth_users_db.js
+%%DATADIR%%/www/script/test/replicator_db_security.js
+%%DATADIR%%/www/script/test/users_db_security.js
 %%DATADIR%%/www/spec/couch_js_class_methods_spec.js
 %%DATADIR%%/www/spec/couch_js_instance_methods_1_spec.js
 %%DATADIR%%/www/spec/couch_js_instance_methods_2_spec.js
@@ -288,6 +320,7 @@
 %%DATADIR%%/www/spec/run.html
 %%DATADIR%%/www/session.html
 %%DATADIR%%/www/status.html
+%%DATADIR%%/www/verify_install.html
 %%DATADIR%%/www/style/layout.css
 %%DATADIR%%/www/style/jquery-ui-1.8.11.custom.css
 %%PORTDOCS%%%%DOCSDIR%%/AUTHORS.gz
@@ -303,8 +336,8 @@
 %%PORTDOCS%%%%DOCSDIR%%/README.gz
 %%PORTDOCS%%%%DOCSDIR%%/THANKS.gz
 %%PORTDOCS%%@dirrm %%DOCSDIR%%
-@dirrm lib/couchdb/erlang/lib/mochiweb-7c2bc2/ebin
-@dirrm lib/couchdb/erlang/lib/mochiweb-7c2bc2
+@dirrm lib/couchdb/erlang/lib/mochiweb-1.4.1/ebin
+@dirrm lib/couchdb/erlang/lib/mochiweb-1.4.1
 @dirrm lib/couchdb/erlang/lib/ibrowse-2.2.0/ebin
 @dirrm lib/couchdb/erlang/lib/ibrowse-2.2.0
 @dirrm lib/couchdb/erlang/lib/etap/ebin
@@ -316,6 +349,12 @@
 @dirrm lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/include
 @dirrm lib/couchdb/erlang/lib/couch-%%PORTVERSION%%/ebin
 @dirrm lib/couchdb/erlang/lib/couch-%%PORTVERSION%%
+@dirrm lib/couchdb/erlang/lib/ejson-0.1.0/ebin
+@dirrm lib/couchdb/erlang/lib/ejson-0.1.0/priv
+@dirrm lib/couchdb/erlang/lib/ejson-0.1.0
+@dirrm lib/couchdb/erlang/lib/snappy-1.0.3/ebin
+@dirrm lib/couchdb/erlang/lib/snappy-1.0.3/priv
+@dirrm lib/couchdb/erlang/lib/snappy-1.0.3
 @dirrm lib/couchdb/erlang/lib
 @dirrm lib/couchdb/erlang
 @dirrm lib/couchdb/bin
Index: files/couchdb.in
===================================================================
RCS file: /home/pcvs/ports/databases/couchdb/files/couchdb.in,v
retrieving revision 1.10
diff -u -r1.10 couchdb.in
--- files/couchdb.in	26 Jan 2012 06:31:26 -0000	1.10
+++ files/couchdb.in	17 Jun 2012 12:53:23 -0000
@@ -35,12 +35,14 @@
 
 command="%%PREFIX%%/bin/${name}"
 pidfile="/var/run/${name}/${name}.pid"
+urifile="/var/run/${name}/couch.uri"
 
 command_args="-p ${pidfile} -b"
 
 couchdb_prestart()
 {
 	install -o $couchdb_user /dev/null $pidfile
+	install -o $couchdb_user /dev/null $urifile
 
 	if [ -n "$couchdb_flags" ]; then
 		case "$couchdb_flags" in
Index: files/pkg-message.in
===================================================================
RCS file: files/pkg-message.in
diff -N files/pkg-message.in
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ files/pkg-message.in	17 Jun 2012 12:53:23 -0000
@@ -0,0 +1,30 @@
+===>  COMPATIBILITY NOTE:
+      1.2.0 removed support for the old 0.9 database format.
+
+      More info:
+        * http://wiki.apache.org/couchdb/Breaking_changes?action=show&redirect=BreakingChanges
+
+===>  CONFIGURATION NOTES:
+
+      PERFORMANCE
+         For best response (minimal delay) most sites will wish to uncomment this line
+         from %%PREFIX%%/etc/couchdb/local.ini:
+
+            socket_options = [{recbuf, 262144}, {sndbuf, 262144}, {nodelay, true}]
+
+         Otherwise you'll see a large delay when establishing connections to the DB.
+      
+      ADMIN ACCOUNT
+         By default no admin password or account is configured which leaves the DB
+         server open.  Add accounts to the bottom of %%PREFIX%%/etc/couchdb/local.ini
+         to secure your installation (by default CouchDB listens on localhost only).
+
+      DATABASE LOCATION
+	 The DB files themselves are now stored in /var/db/couchdb by default.
+	 Previous versions of this port defaulted to /var/lib/couchdb, and if
+	 you installed directly from source /usr/local/lib/couchdb.
+
+	 If you are upgrading you may need to move your DB files to /var/db/couchdb
+	 if you are not specifying database_dir and view_index_dir locations
+         in local.ini.
+
